MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Create Tool-Call Webhook BindingDelete Tool-Call Webhook BindingList Tool-Call Webhook Bindings
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceBundler Tool

Create Tool-Call Webhook Binding

POST
/v1/bundles/{bundle_id}/tool-call-webhooks

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

bundle_id*Bundle Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/tool-call-webhooks" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "tool_name_patterns": [      "string"    ],    "webhook_url": "http://example.com",    "webhook_secret": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "tool_name_patterns": [    "string"  ],  "arg_predicates": [    {      "path": "string",      "op": "eq",      "value": "string"    }  ],  "webhook_url": "string",  "enabled": true,  "hook_point": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Bundler Tool

Endpoints in the Bundler Tool group.

Delete Tool-Call Webhook Binding

Next Page

name*Name
Length1 <= length <= 128
tool_name_patterns*array<string>
Items1 <= items
arg_predicates?array<>
webhook_url*Webhook Url
Formaturi
Length1 <= length <= 2083
webhook_secret*Webhook Secret
Length1 <= length
hook_point?Hook Point
Default"notify_after"

Value in

  • "notify_after"
  • "override_before"